<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Scope.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Scope</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Scope

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Scope" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line339" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Scope-inheritance" src="Scope-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Scope-inheritance_map" />
<map name="Scope-inheritance_map"><area alt="Scopes/Synopsis/ASG/ClassTemplate.html" href="ClassTemplate.html" shape="rect" coords="5, 156, 189, 180" />
<area alt="Scopes/Synopsis/getoptions/CommandLineError.html" href="../getoptions/CommandLineError.html" shape="rect" coords="213, 156, 461, 180" />
<area alt="Scopes/Synopsis/ASG/Class.html" href="Class.html" shape="rect" coords="485, 156, 616, 180" />
<area alt="Scopes/Synopsis/Processor/Error.html" href="../Processor/Error.html" shape="rect" coords="640, 156, 800, 180" />
<area alt="Scopes/Synopsis/ASG/Module.html" href="Module.html" shape="rect" coords="824, 156, 971, 180" />
<area alt="Scopes/Synopsis/ASG/Declaration.html" href="Declaration.html" shape="rect" coords="467, 7, 635, 31" />
</map>
 <div class="doc">Base class for scopes &#40;named groups&#41;.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="declarations">declarations</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line345" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">type</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Scope.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line342" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Scope.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line347" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Declaration">
<tr><td colspan="2" class="heading">Attributes Inherited from Declaration</td></tr>
<tr><td class="inherited"><a href="Declaration.html#file" title="attribute Declaration.file">file</a>,
<a href="Declaration.html#line" title="attribute Declaration.line">line</a>,
<a href="Declaration.html#name" title="attribute Declaration.name">name</a>,
<a href="Declaration.html#type" title="attribute Declaration.type">type</a>,
<a href="Declaration.html#accessibility" title="attribute Declaration.accessibility">accessibility</a>,
<a href="Declaration.html#annotations" title="attribute Declaration.annotations">annotations</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:53 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
